<template>
  <div>
    <nuxt />
  </div>
</template>

<script>
export default {
  data() {
    return {
      opacity: 0,
    }
  },
  computed: {
    theme() {
      return this.$store.state.settings.theme
    }
  },
  created() {
    if (process.browser) {
      window.onNuxtReady((app) => {
        this.opacity = 1
      })
    }
  },
}
</script>

<style lang="less">
@import "element-theme-dark/lib/index.css";
@import "highlight.js/styles/ocean.css";
@import "font-awesome/css/font-awesome.min.css";

body, html {
  font-family: 'Tahoma';
  padding: 0;
  margin: 0;
  overflow: hidden;
}

.page {
  height: 100vh;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.CodeMirror .cm-trailingspace {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAACCAYAAAB/qH1jAAAABmJLR0QA/wD/AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3QUXCToH00Y1UgAAACFJREFUCNdjPMDBUc/AwNDAAAFMTAwMDA0OP34wQgX/AQBYgwYEx4f9lQAAAABJRU5ErkJggg==);
  background-position: bottom left;
  background-repeat: repeat-x;
}

</style>
